Transactions for a bank account stored in Shares.

Query Parameters
  • organisationCode
    Type: string
  • branchCode
    Type: string
  • advisorCode
    Type: string
  • accountNumber
    Type: string
  • fromDate
    Type: string Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • toDate
    Type: string Format: date

    full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21

  • bsb
    Type: string
  • bankAccountNumber
    Type: string
Responses
  • application/json
Request Example for get/connect-data/bankaccounttransactions/v1
curl https://api.uat.openbroker.io/connect-data/bankaccounttransactions/v1
[
  {
    "organisationCode": "TPOMAL",
    "advisorCode": "ADV1",
    "branchCode": "01",
    "accountNumber": "111888",
    "institutionCode": "MBLA",
    "bsb": "063000",
    "bankAccountNumber": "12345678",
    "currencyCode": "AUD",
    "transactionDate": "2025-06-11T00:00:00Z",
    "transactionCode": "DEP",
    "transactionReference": "DEP-0009911",
    "transactionDescription": "Direct credit received",
    "amount": 15000
  },
  {
    "organisationCode": "TPOMAL",
    "advisorCode": "ADV1",
    "branchCode": "01",
    "accountNumber": "111888",
    "institutionCode": "MBLA",
    "bsb": "063000",
    "bankAccountNumber": "12345678",
    "currencyCode": "AUD",
    "transactionDate": "2025-06-13T00:00:00Z",
    "transactionCode": "WTH",
    "transactionReference": "STL-4115664",
    "transactionDescription": "Settlement of contract note 5600123",
    "amount": -9528.45
  }
]